Subject: Software expiration ethics

From: <[email-masked]>
Date: Fri, 11 Feb 1994 13:45:47 -0500 (EST)

Hello netters,

	I would like to raise an ethical question with repect to
self-expiring software, that is, software which no longer functions after
a certain time.

1) If the software has an expiration date, that fact should be mentioned up
front.  This applies to free software, too.  The user has a right to know
if his "free" software will suddenly quite working.  For commercial
software, expiration dates (if any) should be disclosed on any price
list.

2) Commercial (i.e., not free) software which has an expiration date should
never be offered for "purchase".  It always should be offered for "lease"
for the specified time period.

	I am interested in your reaction to these points, or any related
points that are relevant.

Don Williams
[email-masked]